Easyblogging .js error

Using WordPress 3.5beta2

When I activate easy blogging and go to add post, I get the following error:

TypeError: jQuery("#dialog").dialog is not a function
[Break On This Error] 	

"Cancel": function() {
ReferenceError: switchEditors is not defined
[Break On This Error] 	

switchEditors.switchto(this);

This is line 49 of custom.js in the easyblogging plugin.

Basically means that I cannot expand/collapse the input boxes on the screen (which I can live with) but it also means I cannot switch between visual and txt mode in the editor.

I know that this is probably due to WP 3.5 and it is still beta, but I would love to use this plugin before I launch for all my newbie users. Hoping the devs can take a look at the js and get it fixed soonish as it's gonna have to be fixed sooner or later anyhow